#!/bin/sh

#This script will restore the data into MSSQL.

. ./setCommonEnv.sh

DB_HOME=$SERVER_HOME/mysql


DRIVER_CLASSES=$SERVER_HOME/lib/mysql_connector.jar:$SERVER_HOME/lib/jtds-1.0.3.jar:$SERVER_HOME/lib/commons-lang-2.0.jar

CLASS_PATH=$DRIVER_CLASSES:$SERVER_HOME/lib/AdventNetFramework.jar:$SERVER_HOME/bin/run.jar:$SERVER_HOME/lib/AdvNCM.jar:$SERVER_HOME/lib/AdvPersistence.jar:$SERVER_HOME/lib/AdventNetNPrevalent.jar:$SERVER_HOME/lib/dnsjava-2.0.6.jar:$SERVER_HOME/lib/mickey3.jar


JAVA_OPTS="-Ddb.home=$DB_HOME -DseparateJVM=true -Djboss.home.dir=$SERVER_HOME -Dserver.dir=$SERVER_HOME -Dfile.encoding=utf8"

BACKUP_DIR=$1

$JAVA $JAVA_OPTS -Xms512m -Xmx1024m -Dde.backup.dir=$BACKUP_DIR -cp $CLASS_PATH com.adventnet.ncm.client.tools.RestoreDEBackup $1
